Page MenuHomePhabricator

Deploy Growth features on Italian Wikipedia
Open, Needs TriagePublic

Description

This task is created to coordinate community engagement about deploying Growth features to Italian Wikipedia.

Discussion with the community is here.

Translations

Help panel

Homepage

Suggested edits

Here are the 5 tasks covered by the Growth tools:

Maintenance templatesNumber of article available (Jan 5, 2021)Learn more
Update articleAggiornare+2,000Aggiornamenti periodici
Add ReferencesF and NN+2,000Verificabilità
Add linksVoci senza uscita32Wikilink
Expand articleS and A+2,000Come scrivere una buona voce
Copyedit articleCorreggere+1,000Come scrivere una voce

For templates only, you can suggest more templates that match the task description.

The following elements have been suggested but can't be used at the moment.

Maintenance templatesLearn moreDifficulty
NPOVPPunto di vista neutraleMedium
Improve with translationTCome tradurre una voceHard
To be formattedWWikificareMedium
To be helpedAVoci da aiutareHard
Orphan pagesOPagina orfanaMedium

Extra links:

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
ValeJappo updated the task description. (Show Details)Jun 11 2020, 12:22 PM
ValeJappo updated the task description. (Show Details)
ValeJappo updated the task description. (Show Details)Jun 11 2020, 12:34 PM
ValeJappo added a comment.EditedJun 11 2020, 12:41 PM

@Lemure_Saltante @HominisCon che ne dite di una semiprotezione infinita alla pagina delle firme, e mettere come requisito fare i tutor o essere nella lista delle firme per il bot? Così almeno coinvolgiamo più persone.

@Lemure_Saltante @HominisCon che ne dite di una semiprotezione infinita alla pagina delle firme, e mettere come requisito fare i tutor o essere nella lista delle firme per il bot? Così almeno coinvolgiamo più persone.

Sono d'accordo

@Lemure_Saltante @HominisCon che ne dite di una semiprotezione infinita alla pagina delle firme, e mettere come requisito fare i tutor o essere nella lista delle firme per il bot? Così almeno coinvolgiamo più persone.

Sostanzialmente sono anche io d'accordo

@Trizek-WMF so it is impossible adding some templates for the suggestions in local?

@Lemure_Saltante @HominisCon che ne dite di una semiprotezione infinita alla pagina delle firme, e mettere come requisito fare i tutor o essere nella lista delle firme per il bot? Così almeno coinvolgiamo più persone.

Sì anche per me alla semiprotezione infinita e a quei requisiti.

Pagina protetta, requisiti scritti. Ho pingato tutti gli utenti del benvenuto bot, magari arriviamo a 15.

Homepage, suggested edits. At the right of "x topics", i read "Easy edits". In italian I need "Edits easy".

Is it more clear?

This one?

You say it should be "Modifiche facile"? Should it also be "Modifiche medio" and "Modifiche difficile"? And, when we combine difficulties, should it be "modifiche Facile, Medio" as well?

If yes, you can change this message to move the $1 for all messages.

If not, let me know how it should be translated for: facile, medio, difficile, facile+medio, facile+difficile, facile+medio+difficile. We will change the tool to have it working with all combinations in Italian.

I don't know if you know about it, but you can display all messages names to identify which ones to change.

@Trizek-WMF so it is impossible adding some templates for the suggestions in local?

It is possible to add templates that are similar to the 5 we use. as far as they match the definitions.

Homepage, suggested edits. At the right of "x topics", i read "Easy edits". In italian I need "Edits easy".

Is it more clear?

This one?

You say it should be "Modifiche facile"? Should it also be "Modifiche medio" and "Modifiche difficile"? And, when we combine difficulties, should it be "modifiche Facile, Medio" as well?

If yes, you can change this message to move the $1 for all messages.

If not, let me know how it should be translated for: facile, medio, difficile, facile+medio, facile+difficile, facile+medio+difficile. We will change the tool to have it working with all combinations in Italian.

Thank you, I fixed it :)

@HominisCon @Lemure_Saltante @EnzoEncius siete d'accordo a tradurre la funzionalità "Newcomer tasks" come "Obbiettivi del nuovo utente"? Sinceramente non mi piace molto, avete idee?

ValeJappo added a comment.EditedJun 11 2020, 6:16 PM

@Trizek-WMF is it normal that many messages, even if translated in italian, are not shown translated?


For example, "Your mentor" has a translation (https://translatewiki.net/wiki/MediaWiki:Growthexperiments-homepage-mentorship-header/it), but it is not shown.
Same thing with easy edits: it is still "easy edits"(in italian) and not "Edits easy", but I changed the page https://translatewiki.net/wiki/MediaWiki:Growthexperiments-homepage-suggestededits-difficulty-filter-label/it

Edit: And this is not updated: it is still "Facile" and not "facili"

Per "newcomer tasks" direi più "Attività suggerite per i nuovi utenti" o qualcosa del genere

Per "newcomer tasks" direi più "Attività suggerite per i nuovi utenti" o qualcosa del genere

Mi piace!

ValeJappo updated the task description. (Show Details)Jun 11 2020, 6:38 PM
ValeJappo updated the task description. (Show Details)Jun 11 2020, 6:48 PM
ValeJappo updated the task description. (Show Details)Jun 11 2020, 7:02 PM

@Trizek-WMF is it normal that many messages, even if translated in italian, are not shown translated?

Translations are updated once a week. They will be visible for you on the wikis on Thursday.

The schedule is the following:

  • on Monday morning (Rome time), all existing translations are taken to be integrated into the deployment system
  • the deployment is prepared on Monday/Tuesday. The team in charge of this prepares the upgrade of all 900 wikis the Wikimedia Foundation hosts.
  • the deployment is made on test wikis and MediaWiki.org on Tuesday, on non-Wikipedia wikis and some Wikipedias (Hebrew and Catalan) on Wednesday and all wikis on Thursday. (It is announced in Tech News).

If you can translate all messages over the week end, they will be all ready next week. Next Thursday, you will be able to try a 100% Italian interface and fix small details.

Edit: And this is not updated: it is still "Facile" and not "facili"

You changed it to facili. You mean it is not visible on the wikis?

Trizek-WMF updated the task description. (Show Details)Jun 12 2020, 11:06 AM

Translations are updated once a week. They will be visible for you on the wikis on Thursday.

Oh, ok.

You changed it to facili. You mean it is not visible on the wikis?

Yes, now I understand. Thank you

Comunque, per tradurre "Newcomers tasks" alla fine ho optato per "Attività per i nuovi utenti"

ValeJappo updated the task description. (Show Details)Jun 12 2020, 1:05 PM
ValeJappo updated the task description. (Show Details)Jun 12 2020, 1:59 PM

@Pierluigi05 @EnzoEncius @HominisCon @Lemure_Saltante
Grazie al contributo di tutti ora siamo a buon punto con le traduzioni: la parte più difficile che rimane è la politica sulla privacy.

Dal momento che questi tool sono sempre più vicini all'arrivare su itwiki, ci serve un metodo per riuscire a convincere più utenti ad aggiungere la propria firma in Progetto:Coordinamento/Accoglienza/Growth: ora come ora sono davvero troppo poche, e dubito riusciremo a gestire tutto solamente in 7. Ho pensato di provare a contattare gli utenti attivi allo sportello informazioni il cui nome non compare nelle firme del bot, ma sono restato deluso: ce ne sono soltanto due.

Sperando di non infastidirli, pingo gli altri utenti che credo siano interessati perché hanno aggiunto la propria firma; per qualche ragione vengono automaticamente aggiunti come iscritti, ma se non dovessero essere interessati, potranno rimuoversi. @Ferdi2005 @Vale93b

Avete idee?

@Pierluigi05 @EnzoEncius @HominisCon @Lemure_Saltante
Grazie al contributo di tutti ora siamo a buon punto con le traduzioni: la parte più difficile che rimane è la politica sulla privacy.

Dal momento che questi tool sono sempre più vicini all'arrivare su itwiki, ci serve un metodo per riuscire a convincere più utenti ad aggiungere la propria firma in Progetto:Coordinamento/Accoglienza/Growth: ora come ora sono davvero troppo poche, e dubito riusciremo a gestire tutto solamente in 7. Ho pensato di provare a contattare gli utenti attivi allo sportello informazioni il cui nome non compare nelle firme del bot, ma sono restato deluso: ce ne sono soltanto due.

Sperando di non infastidirli, pingo gli altri utenti che credo siano interessati perché hanno aggiunto la propria firma; per qualche ragione vengono automaticamente aggiunti come iscritti, ma se non dovessero essere interessati, potranno rimuoversi. @Ferdi2005 @Vale93b

Avete idee?

Pubblicizzare l'iniziativa ovunque possibile

@Pierluigi05 @EnzoEncius @HominisCon @Lemure_Saltante
Grazie al contributo di tutti ora siamo a buon punto con le traduzioni: la parte più difficile che rimane è la politica sulla privacy.

Dal momento che questi tool sono sempre più vicini all'arrivare su itwiki, ci serve un metodo per riuscire a convincere più utenti ad aggiungere la propria firma in Progetto:Coordinamento/Accoglienza/Growth: ora come ora sono davvero troppo poche, e dubito riusciremo a gestire tutto solamente in 7. Ho pensato di provare a contattare gli utenti attivi allo sportello informazioni il cui nome non compare nelle firme del bot, ma sono restato deluso: ce ne sono soltanto due.

Sperando di non infastidirli, pingo gli altri utenti che credo siano interessati perché hanno aggiunto la propria firma; per qualche ragione vengono automaticamente aggiunti come iscritti, ma se non dovessero essere interessati, potranno rimuoversi. @Ferdi2005 @Vale93b

Avete idee?

Sì, proverei a pubblicizzare al Bar

Per ora invio messaggi in talk a possibili utenti interessati, quando i tool saranno disponibili scriverei al bar in modo anche da descrivere il loro funzionamento, e chiedere di impostarne alcuni come default

Va avvertito il bar PRIMA della pubblicazione dei tool secondo me...

Va avvertito il bar PRIMA della pubblicazione dei tool secondo me...

Concordo.

Tra oggi e domani scrivo al bar. Ne approfitto per chiedere volontari per le traduzioni. La discussione per decidere se impostarne alcuni come default la facciamo al bar o qui? Direi al bar. Fatemi sapere cosa ne pensate

Tra oggi e domani scrivo al bar. Ne approfitto per chiedere volontari per le traduzioni. La discussione per decidere se impostarne alcuni come default la facciamo al bar o qui? Direi al bar. Fatemi sapere cosa ne pensate

@ValeJappo Oggi continuo a tradurre. Secondo me è meglio discutere al bar.

@ValeJappo Non è un'opzione, è una cosa importante che richiede consenso, mi sembra ovvio che le discussioni fatte qui non valgano a questi fini. 😄

ValeJappo updated the task description. (Show Details)Jun 14 2020, 7:54 AM
Sakretsu changed the task status from Open to Stalled.Jun 14 2020, 11:27 AM
Sakretsu added a subscriber: Sakretsu.

These features need a consensus to be deployed. Local discussion is now ongoing.

ValeJappo added a comment.EditedJun 14 2020, 1:18 PM

@Trizek-WMF Hello, some users are asking why you are adding the tools on itwiki, even if there is no discussion.

These features need a consensus to be deployed. Local discussion is now ongoing.

@Sakretsu, where the discussion is happening? I may be useful there to reply to some questions.

@Trizek-WMF Hello, some users are asking why you are adding the tools on itwiki, even if there is no discussion.

We have identified some wikis where people are particularly active to welcome newcomers. Our goal is to help newcomers to make better first edits, and to help people who help them in a more effective way. Italian Wikipedia is trying to help newcomers, so we offer you to get the tools.

@Sakretsu, where the discussion is happening? I may be useful there to reply to some questions.

https://it.wikipedia.org/wiki/Wikipedia:Bar/Discussioni/Accessori_per_i_nuovi_utenti#Discussione

I wrote that users can ask you questions about the tools.

@Sakretsu, where the discussion is happening? I may be useful there to reply to some questions.

https://it.wikipedia.org/wiki/Wikipedia:Bar/Discussioni/Accessori_per_i_nuovi_utenti#Discussione

I wrote that users can ask you questions about the tools.

Thank you!

Trizek-WMF updated the task description. (Show Details)Jun 17 2020, 12:16 PM

I removed the translation of the privacy statement from the task description since it is not mandatory.

Trizek-WMF updated the task description. (Show Details)Jun 18 2020, 11:45 AM
ValeJappo updated the task description. (Show Details)Jun 18 2020, 12:20 PM
ValeJappo updated the task description. (Show Details)

Ciao! Any update about the discussion?

Trizek-WMF updated the task description. (Show Details)Jun 24 2020, 4:32 PM
ValeJappo added a comment.EditedJun 24 2020, 11:47 PM

Ciao! Any update about the discussion?

Not at the moment. We will let you know!

It seems that quite everything is ready. We have template, help pages, the interface is almost entirely translated. We wait for the community's approval.

On Growth side, the Legal department gave us a green light concerning the deployment.

ValeJappo updated the task description. (Show Details)Jul 3 2020, 9:47 PM

I tre link che ho appena aggiunto vanno tradotti per poter proseguire la discussione, confido nella vostra collaborazione

Segnalo anche che sto modificando la traduzione di "mentor" da "tutor" a "mentore", per evitare confusione con i tutor del progetto accoglienza

ValeJappo updated the task description. (Show Details)Jul 4 2020, 9:57 AM
Trizek-WMF changed the task status from Stalled to Open.Jul 6 2020, 2:33 PM

The community has apparently a lot of questions. I wrote them a message about the tools and tried to provide replies.

Key points are:

  • Like I did for other communities, I contacted users who take care of newcomers to get some help on introducing the features on the wiki.
  • Some questions were raised about how the tools work and their impact on the wiki. Italian Wikipedia is lucky since they don't need to create anything to get the features. They just need a group of mentors.
  • Some questions about the outcomes. I provided some data we have, and also some comparisons with other wikis. I highlighted the fact that all changes made by newcomers are tagged in Recent Changes.
  • Some questions about the deployment. I said that it is possible to have the features being deployed for a group of testers first, and then have a slow rollout to newcomers to check if everything goes well.

Also, I mark this task as open since the discussions are ongoing. It doesn't mean that we are going to deploy the features before we reply to questions asked by the community! :)

For your information, I'm on vacation until July 22. If you have any question about the tools, please ask @MMiller_WMF!

ValeJappo updated the task description. (Show Details)Jul 11 2020, 6:50 AM
ValeJappo updated the task description. (Show Details)
ValeJappo updated the task description. (Show Details)Jul 11 2020, 7:03 AM

Hello @ValeJappo

How community discussions are running? I note that nothing changed in the conversation since the beginning of the month. What is the next step?

Hello @ValeJappo

How community discussions are running? I note that nothing changed in the conversation since the beginning of the month. What is the next step?

Hello @Trizek-WMF, when the documentation will be translated, I will open a new discussion. My computer is broken, so now I can't do it

Hello @Trizek-WMF, when the documentation will be translated, I will open a new discussion. My computer is broken, so now I can't do it

Oh, bad luck! :(

Don't forget that you're not alone. Maybe some other people would help on translations?

ValeJappo updated the task description. (Show Details)Aug 2 2020, 6:41 AM

Hello @Trizek-WMF, I decided to leave Wikipedia, so I could no longer help you. You can contact the other subscribers and asking for help. When all translations will be finished, a discussion in [[Wikipedia:Bar]] should be opened. There are some useful sources: https://meta.wikimedia.org/wiki/User_talk:MMiller_(WMF)#Growth_features_on_Italian_Wikipedia , https://it.wikipedia.org/wiki/Utente:ValeJappo/Sandbox/Messaggio_growth_team

Goodbye

This is sad. :(

So apparently, even if multiple people participated in the discussion and a consensus was apparently reached about the deployment, some people still oppose.

Let's work on lifting off the blockers.

Segnalo anche che sto modificando la traduzione di "mentor" da "tutor" a "mentore", per evitare confusione con i tutor del progetto accoglienza

Scusami, mi ero persa questa nota, e finalizzando le traduzioni in realtà ho portato tutto a tutor proprio perché, in linea di principio, questo è solo un modo diverso di coinvolgere quelle stesse persone, e altre che volessero proporsi. Mi sembrava che usare la terminologia specifica del progetto potesse aiutare, ma chiaramente tutto può essere cambiato.

@Trizek-WMF hi, unfortunately I see that nothing changed since I left the project. Maybe I could continue helping with the deploy of this feature, I'll let let you know.

Thank you @ValeJappo. I will let you know about the next moves. Also, please tell me if Italian Wikipedia want to know more about the features or decide to get them.

Thank you @ValeJappo. I will let you know about the next moves. Also, please tell me if Italian Wikipedia want to know more about the features or decide to get them.

The community wants to know more, when I will finish translating the documentation, then would be possible start having a discussion to decide what to do

@Trizek-WMF please see your mediawiki talk page; since I'm starting re-working on the deploy of this project, could you say me what changed from this summer? Thanks

Trizek-WMF added a comment.EditedDec 4 2020, 12:45 PM

Hello!

We have something useful for you. We ran an analysis of how our tools impact the wikis. These results are published here: https://www.mediawiki.org/wiki/Growth/Results

In November 2019, our team added the "newcomer tasks" feature to the newcomer homepage. After six months, we collected data from Arabic, Vietnamese, Czech, and Korean Wikipedias. We analyzed the overall impact of the Growth features, including newcomer tasks.

This analysis finds that the Growth features lead to increases in:

  • the probability that newcomers make their first article edit (+11.6%)
  • the probability that they are retained as editors
  • the number of edits they make during their first couple of weeks on the wiki (+22%)

We also find that the quality of their edits, as measured by revert rate, is comparable to that of a control group.

We also have some more general metrics. As of November 2020, across all wikis where the features have been deployed:

  • more than 5,000 newcomers have made more than 40,000 edits using Newcomer tasks.
  • more than 14,000 questions have been sent to volunteer mentors by more than 11,000 users.
  • more than 2,000 questions have been asked on help desks by more than 1,500 users.

Let me know if you have questions!

Hello!

We have something useful for you. We ran an analysis of how our tools impact the wikis. [...]

Brilliant! This would be very useful to make this tool being approved. I'm planning to propose it in the next weeks.

Thank you @ValeJappo. Please keep me posted.

@Trizek-WMF Hi, before proposing these tools to the community, I'll need some extra information:
you are going to deploy
*Help panel
*Newcomers homepage
*Welcome survey
right?

What is the difference between structured tasks and suggested edits? Just suggested edits are going to be deployed?

We can eventually decide to not deploy some tools (like welcome survey), or even some functionalities (like newcomers homepage's "impact section")?
All further tools that will be automatically deployed on our wiki, will concern newcomers homepage and help panel?
These features would be automatically enabled for newcomers? All newcomers or just some?

thank you!

ValeJappo updated the task description. (Show Details)Dec 17 2020, 10:25 AM
ValeJappo updated the task description. (Show Details)Dec 17 2020, 10:27 AM

Hello @ValeJappo , happy new year!

Sorry for the late reply, but I was on vacation.

you are going to deploy
*Help panel
*Newcomers homepage
*Welcome survey
right?

We will deploy
*Help panel
*Newcomers homepage with suggested edits
*Welcome survey

We will not deploy EditorJourney.

What is the difference between structured tasks and suggested edits? Just suggested edits are going to be deployed?

Structured tasks are a type of Suggested edits. At the moment, Structured tasks are not available, because we are still working on creating them. they will be available for your wiki in a few months, after we tested them on our "pilot wikis".

We can eventually decide to not deploy some tools (like welcome survey), or even some functionalities (like newcomers homepage's "impact section")?

We would deploy everything, since the whole experience process that has been designed to help newcomers and has been proven to work. It is the entire experience that is interesting, and removing something may make everything useless. It is be like removing a plane's wings: it would make it a very expensive and unpractical autobus, far away from the initial goal of flying. :)

A practical example is the WelcomeSurvey, where newcomers choose topics they'd like to work on. These topics are then available when they open their Homepage, as Suggested edits (they can change them afterwards, of course). The Welcome Survey would also be useful for your community: you would know why people create an account (this is not public data, but the Growth team can share a report with your community).

I'm not saying that we won't read and reply to questions about changing the experience. If people think that something shouldn't be deployed, I just expect them to detail why; it would help us to think about further improvements. :)

The question asked to the community should then be about newcomers and the concept of welcoming them, but not about the tools. Question is more "do the community wish to improve newcomers' first steps by adopting the Growth team tools?" more than "what do you think about the Growth tools?".

Also, our tools are available for (almost) all experiences: mobile or desktop computer, wikitext or visual editing. Suggested edits are primary written to use the visual editor, but it is perfectly possible to edit the page using the wikitext editor. The impact on the community would only be on mentors (who already volunteered to reply to newcomers' questions) and on recent changes patrollers who may see some new types of edits. It is not impacting other users who prefer not to be involved.

All further tools that will be automatically deployed on our wiki, will concern newcomers homepage and help panel?

All further tools would be deployed on Italian Wikipedia as current tools improvements. Of course, we won't deploy on your wikis things that would have not been tested and proven to work. The four "pilot wikis" we work with are here to be our testers. New deployments would be announced ahead of time in our Newsletter (at least).

These features would be automatically enabled for newcomers? All newcomers or just some?

We haven't yet decided if the features would be available to 80% of new accounts by default (keeping a 20% control group to check if everything is fine), or to 100% of them. At the moment, we already have the features being deployed on 16 wikis in the 80% configuration, but some other wikis already asked to switch to 100%. I will bring this topic to the right people to decide.

thank you!

Thank you! Let me know if you need anything, and, of course, keep me posted about the new conversation. :)

Trizek-WMF updated the task description. (Show Details)Tue, Jan 5, 5:25 PM

I checked the number of articles being available for each suggested edit task. Add links used the template "Voci senza uscita", which only returns 32 articles (as of now). Do you know another template that would fit the "Add links" task, to have more articles listed?

I checked the number of articles being available for each suggested edit task. Add links used the template "Voci senza uscita", which only returns 32 articles (as of now). Do you know another template that would fit the "Add links" task, to have more articles listed?

@Trizek-WMF
Hi, a list of all articles without wikilinks is Speciale:PagineSenzaUscita. Template W is often used in those cases, but it indicates all articles that need to be formatted according to standards, so not just links.

Ah, just to be clear, we have to wait some more weeks (/moths?) before receiving the ok to deploy the features

A list of all articles without wikilinks is Speciale:PagineSenzaUscita. Template W is often used in those cases, but it indicates all articles that need to be formatted according to standards, so not just links.

We are not using Special pages, just templates. Template makes identification of article easier for newcomers.

Template W is fine. Actually, a lot of wiki use this template as a backup template. The task to add links is detailed in the Help panel when people select an article to add links to it. So newcomers can see the template with a lot of things to fix, but they are guided to do the add links activity only.

Ah, just to be clear, we have to wait some more weeks (/moths?) before receiving the ok to deploy the features

If your community says yes, it takes two to three weeks to have the features being deployed. We have this delay to check on translations and all the information you provide in the task description.

It is also possible to deploy the features to 0% of people for test purposes. This way, the community can enable the features in their preferences and check if translations and templates are okay. Then, after a week of tests, we enable the features for newcomers.

Ciao @ValeJappo, anything new? Let me know if I can help you!

Ciao @ValeJappo, anything new? Let me know if I can help you!

Emh, no. Currently I am working on the celebration of the 20th anniversary of Wikipedia, then I'll try proposing those features. I'll keep you posted

Celebrating is important! I hope the features to be part for the next 20 years adventure; maybe the anniversary is a nice moment to convince others about them. :)

Hi @Trizek-WMF, another question: those features will be enabled for all newcomers, some random newcomers or to newcomers that would check "Yes, I am interested" on the welcome survey?

ValeJappo updated the task description. (Show Details)Mon, Jan 18, 6:19 AM

Hi @Trizek-WMF, another question: those features will be enabled for all newcomers, some random newcomers or to newcomers that would check "Yes, I am interested" on the welcome survey?

This question is not in the survey anymore. Where have you found this image?

We have removed the question, since almost everyone wanted to have a mentor.

The current version looks like this:

This question is not in the survey anymore. Where have you found this image?

On the tool's documentation

We have removed the question, since almost everyone wanted to have a mentor.

The current version looks like this:

Thank you

This question is not in the survey anymore. Where have you found this image?

On the tool's documentation

I'm going to change it right now. Thank you for finding it.